@font-face {
  font-family: "UTM Swiss";
  src: local("UTM Swiss"), url("assets/fonts/UTM Swiss.ttf") format("truetype");
}

@font-face {
  font-family: "yellowtail";
  src: local("LNTH Yellowtail"),
    url(assets/fonts/lnth-yellowtail.TTF) format("truetype");
}

@font-face {
  font-family: "SVN-Anastasia";
  src: local("SVN Anastasia"),
    url(assets/fonts/SVN-ANASTASIA.TTF) format("truetype");
}

@font-face {
  font-family: "UTM American Sans";
  src: local("UTM American Sans"),
    url("assets/fonts/UTM American Sans.ttf") format("truetype");
}

@font-face {
  font-family: "SVN Product Sans";
  src: local("SVN Product Sans"),
    url("assets/fonts/SVN-Product Sans Regular.otf") format("opentype");
}

.main-wrapper {
  background-image: url(assets/bg.png);
  position: relative;
  z-index: 1;
  min-height: 1080px;
  background-size: contain;
  background-repeat: no-repeat;
}

.modal {
  display: none;
  position: fixed;
  z-index: 50;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: #000;
  background-color: rgb(0 0 0 / 0.4);
  justify-content: center;
  align-items: center;
}

.modal-content {
  background-color: #fefefe;
  margin: auto;
  padding: 20px;
  border: 1px solid #888;
  width: 80%;
  max-width: 600px;
}

.close {
  color: #aaa;
  float: right;
  font-size: 28px;
  font-weight: 700;
}

.close:hover,
.close:focus {
  color: #000;
  text-decoration: none;
  cursor: pointer;
}

label {
  font-family: "UTM Swiss";
}
label span {
  border: 2px solid #fff0;
  position: relative;
  padding: 2px 10px;
  background-clip: padding-box;
  box-sizing: border-box;
  width: fit-content;
  background-color: #0e80c7;
  border-radius: 8px;
}
label span:before {
  content: "";
  position: absolute;
  inset: 0;
  z-index: -1;
  margin: -2px;
  background: linear-gradient(90deg, #005197 0%, #50c8f7 100%);
  border-radius: inherit;
}
.gradient-border-wrapper {
  position: relative;
  display: inline-block;
  border-radius: 8px;
  padding: 2px;
  background: linear-gradient(90deg, #005197 0%, #50c8f7 100%);
}
.gradient-border {
  position: relative;
  z-index: 1;
  border: none;
  padding: 10px;
  border-radius: 6px;
  width: 100%;
  box-sizing: border-box;
}
.gradient-border-wrapper textarea.gradient-border,
.gradient-border-wrapper input.gradient-border {
  display: block;
  width: 100%;
  margin: 0;
}
.frame-wrapper {
  position: relative;
  height: fit-content;
}
.image-choosen {
  width: 151px;
  height: 151px;
  position: absolute;
  left: 80px;
  top: 22px;
  z-index: -1;
}

.name {
  position: absolute;
  left: 60px;
  bottom: 175px;
  width: 186px;
  height: 35px;
  text-align: center;
  vertical-align: middle;
  padding: 6px 2px;
  font-family: "SVN-Anastasia";
  font-size: 16px;
  color: #0037ff;
}

.title {
  position: absolute;
  text-align: center;
  left: 40px;
  bottom: 150px;
  width: 230px;
  height: 34px;
  vertical-align: middle;
  padding: 2px 3px;
  color: #030361;
  font-size: 9px;
  font-family: "SVN Product Sans";
}

.message {
  position: absolute;
  left: 360px;
  bottom: 60px;
  width: 365px;
  height: 210px;
  font-family: "SVN Product Sans";
  font-size: 14px;
  line-height: 1.5;
  color: #005197;
  text-align: justify;
  
}

.name,
.title,
.message {
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: normal;
}

.title {
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
  white-space: normal;
  text-overflow: ellipsis;
}

.message {
  display: -webkit-box;
  -webkit-line-clamp: 10;
  -webkit-box-orient: vertical;
  overflow: hidden;
  white-space: normal;
  text-overflow: ellipsis;
}

.loader-wrapper {
  background: rgba(0, 0, 0, 0.4);
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  z-index: 10;
  display: flex;
  align-items: center;
  justify-content: center;
}

.loader {
  font-size: 10px;
  width: 1em;
  height: 1em;
  border-radius: 50%;
  position: relative;
  text-indent: -9999em;
  animation: mulShdSpin 1.1s infinite ease;
  transform: translateZ(0);
}

@keyframes mulShdSpin {
  0%,
  100% {
    box-shadow: 0em -2.6em 0em 0em #ffffff,
      1.8em -1.8em 0 0em rgb(255 255 255 / 0.2),
      2.5em 0em 0 0em rgb(255 255 255 / 0.2),
      1.75em 1.75em 0 0em rgb(255 255 255 / 0.2),
      0em 2.5em 0 0em rgb(255 255 255 / 0.2),
      -1.8em 1.8em 0 0em rgb(255 255 255 / 0.2),
      -2.6em 0em 0 0em rgb(255 255 255 / 0.5),
      -1.8em -1.8em 0 0em rgb(255 255 255 / 0.7);
  }
  12.5% {
    box-shadow: 0em -2.6em 0em 0em rgb(255 255 255 / 0.7),
      1.8em -1.8em 0 0em #ffffff, 2.5em 0em 0 0em rgb(255 255 255 / 0.2),
      1.75em 1.75em 0 0em rgb(255 255 255 / 0.2),
      0em 2.5em 0 0em rgb(255 255 255 / 0.2),
      -1.8em 1.8em 0 0em rgb(255 255 255 / 0.2),
      -2.6em 0em 0 0em rgb(255 255 255 / 0.2),
      -1.8em -1.8em 0 0em rgb(255 255 255 / 0.5);
  }
  25% {
    box-shadow: 0em -2.6em 0em 0em rgb(255 255 255 / 0.5),
      1.8em -1.8em 0 0em rgb(255 255 255 / 0.7), 2.5em 0em 0 0em #ffffff,
      1.75em 1.75em 0 0em rgb(255 255 255 / 0.2),
      0em 2.5em 0 0em rgb(255 255 255 / 0.2),
      -1.8em 1.8em 0 0em rgb(255 255 255 / 0.2),
      -2.6em 0em 0 0em rgb(255 255 255 / 0.2),
      -1.8em -1.8em 0 0em rgb(255 255 255 / 0.2);
  }
  37.5% {
    box-shadow: 0em -2.6em 0em 0em rgb(255 255 255 / 0.2),
      1.8em -1.8em 0 0em rgb(255 255 255 / 0.5),
      2.5em 0em 0 0em rgb(255 255 255 / 0.7), 1.75em 1.75em 0 0em #ffffff,
      0em 2.5em 0 0em rgb(255 255 255 / 0.2),
      -1.8em 1.8em 0 0em rgb(255 255 255 / 0.2),
      -2.6em 0em 0 0em rgb(255 255 255 / 0.2),
      -1.8em -1.8em 0 0em rgb(255 255 255 / 0.2);
  }
  50% {
    box-shadow: 0em -2.6em 0em 0em rgb(255 255 255 / 0.2),
      1.8em -1.8em 0 0em rgb(255 255 255 / 0.2),
      2.5em 0em 0 0em rgb(255 255 255 / 0.5),
      1.75em 1.75em 0 0em rgb(255 255 255 / 0.7), 0em 2.5em 0 0em #ffffff,
      -1.8em 1.8em 0 0em rgb(255 255 255 / 0.2),
      -2.6em 0em 0 0em rgb(255 255 255 / 0.2),
      -1.8em -1.8em 0 0em rgb(255 255 255 / 0.2);
  }
  62.5% {
    box-shadow: 0em -2.6em 0em 0em rgb(255 255 255 / 0.2),
      1.8em -1.8em 0 0em rgb(255 255 255 / 0.2),
      2.5em 0em 0 0em rgb(255 255 255 / 0.2),
      1.75em 1.75em 0 0em rgb(255 255 255 / 0.5),
      0em 2.5em 0 0em rgb(255 255 255 / 0.7), -1.8em 1.8em 0 0em #ffffff,
      -2.6em 0em 0 0em rgb(255 255 255 / 0.2),
      -1.8em -1.8em 0 0em rgb(255 255 255 / 0.2);
  }
  75% {
    box-shadow: 0em -2.6em 0em 0em rgb(255 255 255 / 0.2),
      1.8em -1.8em 0 0em rgb(255 255 255 / 0.2),
      2.5em 0em 0 0em rgb(255 255 255 / 0.2),
      1.75em 1.75em 0 0em rgb(255 255 255 / 0.2),
      0em 2.5em 0 0em rgb(255 255 255 / 0.5),
      -1.8em 1.8em 0 0em rgb(255 255 255 / 0.7), -2.6em 0em 0 0em #ffffff,
      -1.8em -1.8em 0 0em rgb(255 255 255 / 0.2);
  }
  87.5% {
    box-shadow: 0em -2.6em 0em 0em rgb(255 255 255 / 0.2),
      1.8em -1.8em 0 0em rgb(255 255 255 / 0.2),
      2.5em 0em 0 0em rgb(255 255 255 / 0.2),
      1.75em 1.75em 0 0em rgb(255 255 255 / 0.2),
      0em 2.5em 0 0em rgb(255 255 255 / 0.2),
      -1.8em 1.8em 0 0em rgb(255 255 255 / 0.5),
      -2.6em 0em 0 0em rgb(255 255 255 / 0.7), -1.8em -1.8em 0 0em #fff;
  }
}

@media only screen and (max-width: 600px) {
  .main-wrapper {
    background: linear-gradient(60deg, #005197 0%, #50c8f7 100%);
    min-height: auto;
    background-size: contain;
    background-position: top -10px left 0;
    background-repeat: repeat-y;
  }
  .image-choosen {
    width: 66px;
    height: 66px;
    left: 36px;
    top: 11px;
  }
  .name {
    left: 27px;
    bottom: 76px;
    width: 80px;
    height: 16px;
    font-size: 7px;
    padding: 3px 2px;
  }
  .title {
    left: 18px;
    bottom: 65px;
    width: 100px;
    height: 15px;
    font-size: 4px;
    padding: 1px 2px;
  }
  .message {
    left: 158px;
    bottom: 22px;
    width: 162px;
    height: 100px;
    font-size: 6px;
  }
}
